[@acaldas/document-model-libs](../README.md) / [Exports](../modules.md) / [BudgetStatement](BudgetStatement.md) / actions

# Namespace: actions

[BudgetStatement](BudgetStatement.md).actions

## Account

### addAccount

▸ **addAccount**(`accounts`): `AddAccountAction`

Action creator for adding accounts to the budget statement.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `accounts` | [`AccountInput`](BudgetStatement.md#accountinput)[] | Array of account inputs to be added. |

#### Returns

`AddAccountAction`

#### Defined in

[src/budget-statement/gen/account/creators.ts:25](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/account/creators.ts#L25)

___

### deleteAccount

▸ **deleteAccount**(`accounts`): `DeleteAccountAction`

Action creator for deleting accounts from the budget statement.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `accounts` | `string`[] | Array of addresses of the accounts to be deleted. |

#### Returns

`DeleteAccountAction`

#### Defined in

[src/budget-statement/gen/account/creators.ts:51](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/account/creators.ts#L51)

___

### sortAccounts

▸ **sortAccounts**(`accounts`): `SortAccountsAction`

Action creator for sorting accounts in the budget statement.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `accounts` | `string`[] | Array of addresses of the accounts to sort. |

#### Returns

`SortAccountsAction`

#### Defined in

[src/budget-statement/gen/account/creators.ts:63](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/account/creators.ts#L63)

___

### updateAccount

▸ **updateAccount**(`accounts`): `UpdateAccountAction`

Action creator for updating accounts in the budget statement.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `accounts` | `AccountUpdateInput`[] | Array of account inputs to be updated. |

#### Returns

`UpdateAccountAction`

#### Defined in

[src/budget-statement/gen/account/creators.ts:39](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/account/creators.ts#L39)

## Audit

### addAuditReport

▸ **addAuditReport**(`reports`): `AddAuditReportAction`

Creates an action to add one or more audit reports to the store.

**`Remarks`**

The `timestamp` property in each report is optional. If not provided, the current time will be used.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `reports` | { `report`: `DocumentFile` ; `status`: [`AuditReportStatus`](BudgetStatement.md#auditreportstatus) ; `timestamp?`: `string`  }[] | An array of objects representing the audit reports to add. |

#### Returns

`AddAuditReportAction`

#### Defined in

[src/budget-statement/gen/audit/creators.ts:22](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/audit/creators.ts#L22)

___

### deleteAuditReport

▸ **deleteAuditReport**(`reports`): `DeleteAuditReportAction`

Creates an action to delete one or more audit reports from the state.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `reports` | `string`[] | An array of reports to be deleted. |

#### Returns

`DeleteAuditReportAction`

The created action.

#### Defined in

[src/budget-statement/gen/audit/creators.ts:51](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/audit/creators.ts#L51)

## Functions

### addComment

▸ **addComment**(`comments`): `AddCommentAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `comments` | [`CommentInput`](BudgetStatement.md#commentinput)[] |

#### Returns

`AddCommentAction`

#### Defined in

[src/budget-statement/gen/comment/creators.ts:16](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/comment/creators.ts#L16)

___

### addVesting

▸ **addVesting**(`vesting`): `AddVestingAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `vesting` | [`VestingInput`](BudgetStatement.md#vestinginput)[] |

#### Returns

`AddVestingAction`

#### Defined in

[src/budget-statement/gen/vesting/creators.ts:13](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/vesting/creators.ts#L13)

___

### deleteComment

▸ **deleteComment**(`comments`): `DeleteCommentAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `comments` | `string`[] |

#### Returns

`DeleteCommentAction`

#### Defined in

[src/budget-statement/gen/comment/creators.ts:30](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/comment/creators.ts#L30)

___

### deleteVesting

▸ **deleteVesting**(`vesting`): `DeleteVestingAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `vesting` | `string`[] |

#### Returns

`DeleteVestingAction`

#### Defined in

[src/budget-statement/gen/vesting/creators.ts:27](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/vesting/creators.ts#L27)

___

### setFtes

▸ **setFtes**(`ftes`): `SetFtesAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `ftes` | [`FtesInput`](BudgetStatement.md#ftesinput) |

#### Returns

`SetFtesAction`

#### Defined in

[src/budget-statement/gen/base/creators.ts:28](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/base/creators.ts#L28)

___

### setMonth

▸ **setMonth**(`month`): `SetMonthAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `month` | `string` |

#### Returns

`SetMonthAction`

#### Defined in

[src/budget-statement/gen/base/creators.ts:18](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/base/creators.ts#L18)

___

### setOwner

▸ **setOwner**(`owner`): `SetOwnerAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `owner` | [`OwnerInput`](BudgetStatement.md#ownerinput) |

#### Returns

`SetOwnerAction`

#### Defined in

[src/budget-statement/gen/base/creators.ts:15](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/base/creators.ts#L15)

___

### setQuoteCurrency

▸ **setQuoteCurrency**(`currency`): `SetQuoteCurrencyAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `currency` | `string` |

#### Returns

`SetQuoteCurrencyAction`

#### Defined in

[src/budget-statement/gen/base/creators.ts:21](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/base/creators.ts#L21)

___

### updateComment

▸ **updateComment**(`comments`): `UpdateCommentAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `comments` | `CommentUpdateInput`[] |

#### Returns

`UpdateCommentAction`

#### Defined in

[src/budget-statement/gen/comment/creators.ts:23](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/comment/creators.ts#L23)

___

### updateVesting

▸ **updateVesting**(`vesting`): `UpdateVestingAction`

#### Parameters

| Name | Type |
| :------ | :------ |
| `vesting` | [`VestingUpdateInput`](BudgetStatement.md#vestingupdateinput)[] |

#### Returns

`UpdateVestingAction`

#### Defined in

[src/budget-statement/gen/vesting/creators.ts:20](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/vesting/creators.ts#L20)

## Line Item

### addLineItem

▸ **addLineItem**(`account`, `lineItems`): `AddLineItemAction`

Creates an action to add one or more line items to an account.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `account` | `string` | The account to add line items to. |
| `lineItems` | `Partial`<[`LineItem`](BudgetStatement.md#lineitem)\> & `Pick`<[`LineItem`](BudgetStatement.md#lineitem), ``"category"`` \| ``"group"``\>[] | An array of line items to add to the account. |

#### Returns

`AddLineItemAction`

#### Defined in

[src/budget-statement/gen/line-item/creators.ts:29](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/line-item/creators.ts#L29)

___

### deleteLineItem

▸ **deleteLineItem**(`account`, `lineItems`): `DeleteLineItemAction`

Creates an action to delete one or more line items from an account.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `account` | `string` | The account containing the line items to delete. |
| `lineItems` | `LineItemDeleteInput`[] | An array of line items to delete from the account. |

#### Returns

`DeleteLineItemAction`

#### Defined in

[src/budget-statement/gen/line-item/creators.ts:69](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/line-item/creators.ts#L69)

___

### sortLineItems

▸ **sortLineItems**(`account`, `lineItems`): `SortLineItemsAction`

Creates an action to sort the line items of an account.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `account` | `string` | The account containing the line items to sort. |
| `lineItems` | `LineItemsSortInput`[] | An array of line items to sort. |

#### Returns

`SortLineItemsAction`

#### Defined in

[src/budget-statement/gen/line-item/creators.ts:89](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/line-item/creators.ts#L89)

___

### updateLineItem

▸ **updateLineItem**(`account`, `lineItems`): `UpdateLineItemAction`

Creates an action to update one or more line items in an account.

#### Parameters

| Name | Type | Description |
| :------ | :------ | :------ |
| `account` | `string` | The account containing the line items to update. |
| `lineItems` | `LineItemUpdateInput`[] | An array of line items to update in the account. |

#### Returns

`UpdateLineItemAction`

#### Defined in

[src/budget-statement/gen/line-item/creators.ts:49](https://github.com/acaldas/document-model-libs/blob/8be7e70/src/budget-statement/gen/line-item/creators.ts#L49)
